<template>
  <div>
   <button @click="pushPage('settings-page-form', { node, path, defaults }, 'Settings')">Settings</button>
  </div>
</template>

<script>
// import _ from 'lodash'

import { mapActions, mapGetters } from 'vuex'

export default {
  props: {
    node: {
      type: Object,
      required: true
    },
    path: {
      type: Array,
      required: true
    },
    // config: {
    //   type: Object,
    //   required: true
    // },
    defaults: {
      required: false
    }
  },

  data () {
    return {
    }
  },

  computed: {
    ...mapGetters({
      // getEditedField: 'Y3TI/getEditedField'
      // getFieldConfig: 'Y3TI/getFieldConfig'
    })
    // config () {
    //   return this.getFieldConfig({ node: this.node, path: this.path })
    // },

    // fieldData: {
    //   get () {
    //     // return _.get(this.$store.state.app.edited, this.editablePath)
    //     return this.getEditedField({ node: this.node, path: this.path })
    //   },
    //   set (value) {
    //     this.storeEditableFieldData({ data: { node: this.node, path: this.path, input: value } })
    //   }
    // }
    // editablePath () {
    //   return [ this.node._type, 'nid-' + this.node.nid, ...[this.config.path] ]
    // }
  },

  methods: {
    ...mapActions({
      pushSidebarPage: 'Y3TI/pushSidebarPage'
      // storeEditableFieldData: 'Y3TI/storeEditableFieldData'
    }),

    pushPage (component, props, title) {
      return this.pushSidebarPage({ data: { page: { component, props, title } } })
    }
  }
}
</script>

<style lang="scss" scoped>
</style>
